%define major 1
%define lib_name %mklibname visio %{major}

Name: libvisio
Version: 0.1.7
Release: %mkrel 3
Summary: A library providing ability to interpret and import visio diagrams
Group:   System/Libraries 
License: GPL+ or LGPLv2+ or MPLv1.1
URL: http://www.freedesktop.org/wiki/Software/libvisio
Source: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
BuildRequires: %{_lib}boost-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: zlib1-devel
BuildRequires: %{_lib}wpd-devel
BuildRequires: %{_lib}wpg-devel
BuildRequires: %{_lib}xml2-devel

%description
Libvisio is library providing ability to interpret and import visio
diagrams into various applications. You can find it being used in
libreoffice.

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary: Development files for %{name}
Group:   System/Libraries 

%description -n %{lib_name}
Libvisio is library providing ability to interpret and import visio
diagrams into various applications. You can find it being used in
libreoffice.

%files -n %{lib_name}
%{_libdir}/%{name}-0.1.so.*

#--------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Requires: %{lib_name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files devel
%{_includedir}/%{name}-0.1
%{_libdir}/%{name}-0.1.so
%{_libdir}/pkgconfig/%{name}-0.1.pc

#--------------------------------------------------------------------

%package doc
Summary: Documentation of %{name} API
Group:   Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%files doc
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

#--------------------------------------------------------------------

%package tools
Summary: Tools to transform Visio diagrams into other formats
Group:   Publishing 

%description tools
Tools to transform Visio diagrams into other formats.
Currently supported: XHTML, raw.

%files tools 
%{_bindir}/*

#--------------------------------------------------------------------

%prep
%setup -q


%build
./autogen.sh
%configure2_5x --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la


%changelog
* Mon Sep 12 2022 tex - 0.1.7-3pclos2022
- rebuild against updates

* Thu Sep 16 2021 tex - 0.1.7-2pclos2021
- rebuild against updates

* Sat Oct 12 2019 tex - 0.1.7-1pclos2019
- new version

* Fri Oct 28 2016 bb  <bb> 0.1.5-1pclos2016
- update against update libs

* Mon Sep 16 2013 pinoc <vogtpet at gmail.com> 0.0.31-1pclos2013
- imported package libvisio

